/***************************************************************************
 *   Copyright (C) 2007 by Andreas Theofilu                                *
 *   andreas@TheoSys.at                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation version 3 of the License.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _helper_h
#define _helper_h

#ifndef BOOL
typedef unsigned char BOOL;
#endif

#ifndef TRUE
#define TRUE	1
#endif

#ifndef FALSE
#define FALSE	0
#endif

extern int MonLeiste[];

int ComputeSize (int OrgLen, int NewLen, int OrgSize);
void date_int (int *day, int *mon, int *year, long date);
double integer (double zahl);
double round (double zahl, int prez);
long get_date (char *sdate);
long get_gebos_date (char *sdate, int kenn);
void set_feb (int year);
long DateToDay (long date);
long DayToDate (long days);
long make_date (int day, int mon, int year);
char *PointNumber (double Zahl, int prec, char *ret);

#endif		// _helper_h
