/***************************************************************************
 *   Copyright (C) 2007 by Andreas Theofilu                                *
 *   andreas@TheoSys.at                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation version 3 of the License.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef RATENPLANWIDGET_H
#define RATENPLANWIDGET_H

#include "ratenplan.h"

class ratenplanWidget : public ratenplanWidgetBase
{
		Q_OBJECT

	public:
		ratenplanWidget ( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
		~ratenplanWidget();
		/*$PUBLIC_FUNCTIONS$*/

	public slots:
		/*$PUBLIC_SLOTS$*/
		virtual void          pbCancelSlot();
		virtual void          lbSelSlot(QListViewItem *item);
		virtual void          pbClipboardSlot();
		virtual void          pbSaveSlot();

	protected:
		/*$PROTECTED_FUNCTIONS$*/
		void readDTable();

	protected slots:
		/*$PROTECTED_SLOTS$*/

};

#endif

